;; Copyright (c) Camden Dixie O'Brien
;; SPDX-License-Identifier: AGPL-3.0-only

(in-package :asdf-user)

(eval-when (:compile-toplevel :load-toplevel :execute)
  (let ((base-dir
		  (make-pathname :directory (pathname-directory *load-pathname*))))
	(pushnew (merge-pathnames "maxima/src/" base-dir)
			 asdf:*central-registry*
			 :test #'equal)
	(pushnew (merge-pathnames "maxima-interface/" base-dir)
			 asdf:*central-registry*
			 :test #'equal)))

(defsystem :ham
  :version "0.1.0"
  :author "Camden Dixie O'Brien"
  :license "AGPL-3.0-only"
  :description "A framework for creating physics simulations"
  :depends-on (:sdl2 :maxima :maxima-interface)
  :components ((:file "package")
			   (:file "drawing" :depends-on ("package"))
			   (:file "physics-compiler" :depends-on ("package"))
			   (:file "simulation" :depends-on ("package" "drawing"))))
